Index: main/channel.c
===================================================================
--- main/channel.c	(revision 220903)
+++ main/channel.c	(working copy)
@@ -996,6 +996,8 @@
 			tmp->uniqueid);
 	}
 
+	ast_log(LOG_NOTICE, "Allocated channel %s(%p)\n", tmp->name, tmp);
+
 	return tmp;
 }
 
@@ -1508,6 +1510,7 @@
 struct ast_channel *ast_channel_release(struct ast_channel *chan)
 {
 	/* Safe, even if already unlinked. */
+	ast_log(LOG_NOTICE, "Release called for channel %s(%p)\n", chan->name, chan);
 	ao2_unlink(channels, chan);
 	return ast_channel_unref(chan);
 }
@@ -1806,6 +1809,8 @@
 	struct ast_datastore *datastore = NULL;
 	char name[AST_CHANNEL_NAME], *dashptr;
 
+	ast_log(LOG_NOTICE, "Channel destructor called for %s(%p)\n", chan->name, chan);
+
 	headp = &chan->varshead;
 
 	ast_cel_report_event(chan, AST_CEL_CHANNEL_END, NULL, NULL, NULL);
